//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2000, 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////////////

import com.ibm.commerce.payment.commands.*;

import java.util.*;

import com.ibm.commerce.ras.*;
import com.ibm.commerce.server.*;
import com.ibm.commerce.command.*;
import com.ibm.commerce.exception.*;

import com.ibm.commerce.order.objects.*;

import com.ibm.commerce.copyright.IBMCopyright;
/**
 * The <code>DoDepositPolicyCmd</code> implementation class for the TestPaymentMethod policy. 
 * This command is not supported for the TestPaymentMethod policy. 
 */
public class DoDepositTestCmdImpl extends BusinessPolicyCommandImpl implements DoDepositPolicyCmd 
{
	private final static String COPYRIGHT = IBMCopyright.SHORT_COPYRIGHT;
	private final static String CLASSNAME = DoDepositTestCmdImpl.class.getName();

    private OrderAccessBean iabOrder                = null;
/**
 * DoDepositTestCmdImpl constructor comment.
 */
public DoDepositTestCmdImpl() {
	super();
}
/**
 *  Returns the OrderAccessBean representing the Order.  This is the OrderAccessBean passed in to the command.
 */
protected OrderAccessBean getOrder () 
{
	return iabOrder;
}
/**
 * Performs the main business logic of the command.
 */
public void performExecute() throws com.ibm.commerce.exception.ECException 
{
	final String methodName = "performExecute";

	ECTrace.trace( ECTraceIdentifiers.COMPONENT_ORDER, CLASSNAME, methodName,
			"Command Name: " + getCommandName() );
		
	try 
	{
		String 	strPolicyId = "";
		Long 	nOrderId  	= getOrder().getOrderIdInEJBType();
		
		OrderPaymentMethodAccessBean abOrdPayMthd = new OrderPaymentMethodAccessBean();
		Enumeration enOrdPayMthd = abOrdPayMthd.findByOrder( nOrderId );
		if ( enOrdPayMthd.hasMoreElements() ) {
			abOrdPayMthd = (OrderPaymentMethodAccessBean) enOrdPayMthd.nextElement();
			strPolicyId  = abOrdPayMthd.getPolicyId();
		}

		throw new ECSystemException( 
			ECMessage._ERR_PAY_FUNCTION_NOT_SUPPORTED_FOR_PAY_POLICY, CLASSNAME, methodName,
						ECMessageHelper.generateMsgParms( nOrderId.toString(), strPolicyId ) );

		
	} catch( javax.ejb.CreateException ex ) {
		throw new ECSystemException( 
				ECMessage._ERR_CREATE_EXCEPTION, CLASSNAME, methodName, ex );
	} catch( javax.ejb.FinderException ex ) {
		throw new ECSystemException( 
				ECMessage._ERR_FINDER_EXCEPTION, CLASSNAME, methodName, ex );
	} catch( javax.naming.NamingException ex ) {
		throw new ECSystemException( 
				ECMessage._ERR_NAMING_EXCEPTION, CLASSNAME, methodName, ex );
	} catch( java.rmi.RemoteException ex ) {
		throw new ECSystemException(
				ECMessage._ERR_REMOTE_EXCEPTION, CLASSNAME, methodName, ex );
	}
	
	
}
/**
 * Sets the Amount to be deposited.
 */
public void setDepositAmount(java.math.BigDecimal depositAmount) {}
/**
 * Optional error view name passed in by the Caller.
 */
public void setErrorViewName(String sEVN) {}
/**
 * The order to be deposited.
 */
public void setOrder(OrderAccessBean abOrder) 
{
	iabOrder = abOrder;
}
}
